DMESG(8)

NAME
dmesg - display the system message buffer

SYNOPSIS
dmesg [-a] [-M core [-N system]]

DESCRIPTION
The dmesg utility displays the contents of the system message buffer. If the -M option is not specified, the buffer is read from the currently running kernel via the sysctl(3) interface. Otherwise, the buffer is read from the specified core file, using the name list from the specified kernel image (or from the default image).

The options are as follows:

-a  Show all data in the message buffer. This includes any syslog records and /dev/console output.

-M  Extract values associated with the name list from the specified core.

-N  If -M is also specified, extract the name list from the specified system instead of the default, which is the kernel image the system has booted from.

FILES
/var/run/dmesg.boot
    usually a snapshot of the buffer contents taken soon after file systems are mounted at startup time

SEE ALSO
sysctl(3), syslogd(8)

HISTORY
The dmesg utility appeared in 4.0BSD.